export const Status = {
  new: { label: 'Nouveau', color: 'dark-blue', icon: 'new' },
  waiting: { label: 'En attente', color: 'blue', icon: 'eye' },
  appointmentBooked: { label: 'RDV pris', color: 'light-green', icon: 'calendarGreen' },
  appointmentDatePassed: { label: 'RDV passé', color: 'grey', icon: 'rdvDone' },
  completed: { label: 'Terminé', color: 'light-green', icon: 'tick' },
  uncompleted: { label: 'Non réalisé', color: 'red', icon: 'redCross' },
  expired: { label: 'Expiré', color: 'grey', icon: 'greyCross' },
} as const;
export type StatusKey = keyof typeof Status;

export const Action = {
  acknowledge: { label: 'Accuser réception', color: 'dark-blue', icon: 'new' },
  defineAppointment: { label: 'Définir le RDV', color: 'blue', icon: 'calendar' },
  waitAppointment: { label: 'Attendre le RDV', color: 'grey', icon: 'pedestrian' },
  waitVisit: { label: 'Attendre la visite', color: 'grey', icon: 'pedestrian' },
  closeRDV: { label: 'Clôturer le RDV', color: 'grey', icon: 'rdvDone' },
} as const;
export type ActionsKey = keyof typeof Action;

export const Type = {
  appointment: { label: 'Rendez-vous', color: 'grey', icon: 'rdvDone' },
  structuresList: { label: 'Visite', color: 'grey', icon: 'pedestrian' },
  onlineMediation: { label: 'Appel', color: 'grey', icon: 'call' },
} as const;
export type TypeKey = keyof typeof Type;
